import { AccountResponse, UpdateAccountRequest } from '../models';
import { Client, Config } from '../Client';
export declare class AccountResource extends Client {
    protected get baseURL(): string;
    constructor(config: Config);
    protected getKey(): string;
    update(data: UpdateAccountRequest): Promise<AccountResponse>;
    retrieve(): Promise<AccountResponse>;
}
