import { ReceiptResponse, ReceiptListResponse, PaginationParams } from '../models';
import { Client, Config } from '../Client';
export declare class ReceiptResource extends Client {
    protected get baseURL(): string;
    constructor(config: Config);
    protected getKey(): string;
    retrieve(id: string): Promise<ReceiptResponse>;
    list(params?: PaginationParams): Promise<ReceiptListResponse>;
}
