import { RefundSearch } from './../models/common';
import { RefundResponse, RefundListResponse, PaginationParams, SearchResponse } from '../models';
import { Client, Config } from '../Client';
export declare class RefundResource extends Client {
    protected get baseURL(): string;
    constructor(config: Config);
    protected getKey(): string;
    create(chargeId: string): Promise<RefundResponse>;
    retrieve(chargeId: string, refundId: string): Promise<RefundResponse>;
    list(params?: PaginationParams): Promise<RefundListResponse>;
    listForCharge(chargeId: string, params?: PaginationParams): Promise<RefundListResponse>;
    search(params: RefundSearch): Promise<SearchResponse>;
}
