import { SourceResponse, NewSourceRequest } from '../models';
import { Client, Config } from '../Client';
export declare class SourceResource extends Client {
    protected get baseURL(): string;
    constructor(config: Config);
    protected getKey(): string;
    create(data: NewSourceRequest): Promise<SourceResponse>;
    retrieve(id: string): Promise<SourceResponse>;
}
