import { TransferResource } from './TransferResource';
import { ReceiptResource } from './ReceiptResource';
import { OccurrenceResource } from './OccurrenceResource';
import { LinkResource } from './LinkResource';
import { ForexResource } from './ForexResource';
import { EventResource } from './EventResource';
import { ScheduleResource } from './ScheduleResource';
import { DisputeResource } from './DisputeResource';
import { ChargeResource } from './ChargeResource';
import { Config } from '../Client';
import { AccountResource } from './AccountResource';
import { BalanceResource } from './BalanceResource';
import { CapabilityResource } from './CapabilityResource';
import { CustomerResource } from './CustomerResource';
import { ChainResource } from './ChainResource';
import { TokenResource } from './TokenResource';
import { SourceResource } from './SourceResource';
import { SearchResource } from './SearchResource';
import { TransactionResource } from './TransactionResource';
import { FundRequestResource } from './FundRequestResource';
import { FundSourceResource } from './FundSourceResource';
import { FundAccountResource } from './FundAccountResource';
export declare class OmiseClient {
    private config;
    account: AccountResource;
    balance: BalanceResource;
    capability: CapabilityResource;
    customer: CustomerResource;
    chain: ChainResource;
    charge: ChargeResource;
    dispute: DisputeResource;
    event: EventResource;
    forex: ForexResource;
    link: LinkResource;
    occurrence: OccurrenceResource;
    receipt: ReceiptResource;
    schedule: ScheduleResource;
    search: SearchResource;
    token: TokenResource;
    source: SourceResource;
    transfer: TransferResource;
    transaction: TransactionResource;
    fundAccount: FundAccountResource;
    fundSource: FundSourceResource;
    fundRequest: FundRequestResource;
    constructor(config: Config);
}
