import { UpdateCardRequest, CardResponse, CardListResponse, PaginationParams } from '../models';
import { Client, Config } from '../Client';
export declare class CardResource extends Client {
    protected baseURL: string;
    constructor(baseURL: string, config: Config);
    protected getKey(): string;
    retrieve(id: string): Promise<CardResponse>;
    list(params?: PaginationParams): Promise<CardListResponse>;
    update(id: string, data: UpdateCardRequest): Promise<CardResponse>;
    destroy(id: string): Promise<CardResponse>;
}
