import { ChainResponse, ChainListResponse, PaginationParams } from '../models';
import { Client, Config } from '../Client';
export declare class ChainResource extends Client {
    protected get baseURL(): string;
    constructor(config: Config);
    protected getKey(): string;
    retrieve(id: string): Promise<ChainResponse>;
    list(params?: PaginationParams): Promise<ChainListResponse>;
    revoke(id: string): Promise<ChainResponse>;
}
