import { UploadDocumentRequest, DocumentResponse, DocumentListResponse, PaginationParams } from '../models';
import { Client, Config } from '../Client';
export declare class DocumentResource extends Client {
    protected baseURL: string;
    constructor(baseURL: string, config: Config);
    protected getKey(): string;
    retrieve(id: string): Promise<DocumentResponse>;
    list(params?: PaginationParams): Promise<DocumentListResponse>;
    upload(data: UploadDocumentRequest): Promise<DocumentResponse>;
    destroy(id: string): Promise<DocumentResponse>;
}
