import { EventResponse, PaginationParams, EventListResponse } from '../models';
import { Client, Config } from '../Client';
export declare class EventResource extends Client {
    protected get baseURL(): string;
    constructor(config: Config);
    protected getKey(): string;
    retrieve(id: string): Promise<EventResponse>;
    list(params?: PaginationParams): Promise<EventListResponse>;
}
