import { UpdateFundRequestRequest, ConfirmFundRequestRequest } from './../models/FundRequest';
import { FundRequestResponse, PaginationParams, NewFundRequestRequest } from '../models';
import { Client, Config } from '../Client';
export declare class FundRequestResource extends Client {
    protected get baseURL(): string;
    constructor(config: Config);
    protected getKey(): string;
    list(params?: PaginationParams): Promise<FundRequestResponse>;
    retrieve(id: string): Promise<FundRequestResponse>;
    create(data: NewFundRequestRequest): Promise<FundRequestResponse>;
    update(id: string, data: UpdateFundRequestRequest): Promise<FundRequestResponse>;
    destroy(id: string): Promise<FundRequestResponse>;
    confirm(id: string, data: ConfirmFundRequestRequest): Promise<FundRequestResponse>;
    resentConfirmation(id: string): Promise<FundRequestResponse>;
}
