import { OccurrenceResponse, OccurrenceListResponse, PaginationParams } from '../models';
import { Client, Config } from '../Client';
export declare class OccurrenceResource extends Client {
    protected get baseURL(): string;
    constructor(config: Config);
    protected getKey(): string;
    retrieve(id: string): Promise<OccurrenceResponse>;
    listOf(scheduleId: string, params?: PaginationParams): Promise<OccurrenceListResponse>;
}
