import { SearchResponse } from './../models/Search';
import { TransactionSearch } from './../models/common';
import { TransactionResponse, PaginationParams, TransactionListResponse } from '../models';
import { Client, Config } from '../Client';
export declare class TransactionResource extends Client {
    protected get baseURL(): string;
    constructor(config: Config);
    protected getKey(): string;
    retrieve(id: string): Promise<TransactionResponse>;
    list(params?: PaginationParams): Promise<TransactionListResponse>;
    search(params?: TransactionSearch): Promise<SearchResponse>;
}
